package com.brilliance.isc.model.act;

import com.brilliance.isc.model.BaseEntity;

/**
 * (ActQueryCondition分页查询条件)实体类，对应TD上infact的searchPanel面板上的查询条件字段
 *
 * @author lianyang
 * @since 2022-11-14 17:13:53
 */
public class ActQueryCondition extends BaseEntity {
    
    //private String inr;
    
    //private String pri;

    //ACT表的字段
    private String extkey;

    private String nam;

    private String iban;

    private String typ;

    private String cur;

    //PTY表的字段
    private String ptyExtkey;

    //public String getInr() {
    //    return inr;
    //}

    //public void setInr(String inr) {
    //    this.inr = inr;
    //}

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getIban() {
        return iban;
    }

    public void setIban(String iban) {
        this.iban = iban;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getTyp() {
        return typ;
    }

    public void setTyp(String typ) {
        this.typ = typ;
    }

    public String getPtyExtkey() { return ptyExtkey; }

    public void setPtyExtkey(String ptyExtkey) {
        this.ptyExtkey = ptyExtkey;
    }

}

